Bug 137168 - Resolution swithing (ctrl-alt-plus) broken when Option "Rotate" "CW" is enabled
Resolution swithing (ctrl-alt-plus) broken when Option "Rotate" "CW" is enabled
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-26 09:54 EDT by Philippe Moreau
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-11 15:14:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xserver configuration file (2.68 KB, text/plain)
2004-10-26 09:59 EDT, Philippe Moreau
no flags Details

  None (edit)
Description Philippe Moreau 2004-10-26 09:54:32 EDT
Description of problem:

When the option rotate CW is enabled and two modes ("1280x1024" and
"640x480") are configured in the xorg.conf file, switching from
1280x1024 to 640x480 works fine, but switching from 640x480 to
1280x1024 never occurs.

When the Rotate Option is removed, switching occurs as expected.


Version-Release number of selected component (if applicable):
xorg-x11-6.7.0-9

How reproducible:
Always

Steps to Reproduce:
1. Enable the option Rotate CW in xorg.conf
  (Option "Rotate" "CW" in section "Device" of the video driver "mga")
2. Configure the modes 1280x1024 and 640x480 in xorg.conf
  (Modes    "1280x1024" "640x480" in the SubSection "Display")
3. Switch resolutions: xvidtune -show; xvidtune -next; xvidtune -show;
xvidtune -next; xvidtune -show


[root@host root]# xvidtune -show
"1280x1024"   108.00   1280 1328 1440 1688   1024 1025 1028 1066
+hsync +vsync

[root@host root]# xvidtune -next
[root@host root]# xvidtune -show
"640x480"      31.50    640  656  720  840    480  481  484  500
-hsync -vsync

[root@host root]# xvidtune -next
[root@host root]# xvidtune -show
"640x480"      31.50    640  656  720  840    480  481  484  500
-hsync -vsync

[root@host X11]# xvidtune -prev
[root@host X11]# xvidtune -show
"640x480"      31.50    640  656  720  840    480  481  484  500
-hsync -vsync

Actual Results:  # xvidtune -show; xvidtune -next; xvidtune -show;
xvidtune -next; xvidtune -show

"1280x1024"   108.00   1280 1328 1440 1688   1024 1025 1028 1066
+hsync +vsync

"640x480"      31.50    640  656  720  840    480  481  484  500
-hsync -vsync

"640x480"      31.50    640  656  720  840    480  481  484  500
-hsync -vsync


Expected Results:  # xvidtune -show; xvidtune -next; xvidtune -show;
xvidtune -next; xvidtune -show

"1280x1024"   108.00   1280 1328 1440 1688   1024 1025 1028 1066
+hsync +vsync

"640x480"      31.50    640  656  720  840    480  481  484  500
-hsync -vsync

"1280x1024"   108.00   1280 1328 1440 1688   1024 1025 1028 1066
+hsync +vsync

Additional info:


I'm using a Fedora Core 2 with the latest updates applied.
The MGA driver is used.
Comment 1 Philippe Moreau 2004-10-26 09:59:26 EDT
Created attachment 105796 [details]
Xserver configuration file
Comment 2 Mike A. Harris 2004-11-29 16:11:57 EST
The RandR extension is incompatible with the "Rotate" option
which some drivers implement.  Additionally, the "Rotate" option 
is not fully tested or supported in most drivers, and should be
considered experimental.

Please report this issue directly to X.Org in the X.Org bugzilla
located at http://bugs.freedesktop.org against the "xorg" component.

Once you've filed your report, please paste the URL here, and
we will track this issue upstream and review any fixes that
become available for consideration in future updates.
Comment 3 Mike A. Harris 2005-04-11 15:14:06 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Setting status to "CURRENTRELEASE".

Note You need to log in before you can comment on or make changes to this bug.